PUT api/prospects/get/{start}/{length}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| start | string |
Required |
|
| length | string |
Required |
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"b0c4556c-1334-49fb-ab89-bd881fe0d6df",
"25c3428a-3c79-462c-8f11-37148795a79b"
],
"products": [
"5d2ee866-c862-4ae1-a91d-26e913ad1795",
"9ce04295-7633-4f5e-a42e-27cb3c74cde0"
],
"campaigns": [
"58b17a9a-852f-4d96-8be3-811803949f59",
"3857860e-5170-4615-adb5-6bdb97ed91fb"
],
"notReceivedMarketingInDays": 4,
"notPutOrderInDays": 5
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.